<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="java.util.*,java.io.*,weaver.filter.XssUtil" %>
<%@ page import="weaver.security.classLoader.ReflectMethodCall,java.util.regex.*" %>
<%


 XssUtil sc = new XssUtil();
ReflectMethodCall rmc = new ReflectMethodCall();
String className = sc.null2String(rmc.call("weaver.security.core.SecurityCore",sc.getSecurityCore(),"getPropValue", new Class[]{String.class, String.class}, "weaver_security_info", "className"));
if("".equals(className)){
	response.sendError(403);
	return;
}

Object userObj = rmc.call(className, "getUser", new Class[]{javax.servlet.http.HttpServletRequest.class, javax.servlet.http.HttpServletResponse.class}, request, response);
Boolean isAdmin = (Boolean)rmc.call(className, "isAdmin", new Class[]{javax.servlet.http.HttpServletRequest.class, javax.servlet.http.HttpServletResponse.class}, request, response);
if(userObj == null || isAdmin == null || !isAdmin){
	response.sendError(403);
	return;
}
	
%>
<!DOCTYPE html>

<html lang="zh-CN">

<head>
    <meta charset="utf-8"/>
    <title>SecurityLog Analyzer</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <link href="static/media/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/bootstrap-responsive.min.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/style-metro.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="static/media/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/jquery.gritter.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/daterangepicker.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/fullcalendar.css" rel="stylesheet" type="text/css"/>
    <link href="static/media/css/jqvmap.css" rel="stylesheet" type="text/css" media="screen"/>
    <link href="static/media/css/jquery.easy-pie-chart.css" rel="stylesheet" type="text/css" media="screen"/>
    <link rel="shortcut icon" href="static/media/image/favicon.ico"/>

    <style>
        .main-content {
            margin-top: 0;
            min-height: 850px;
            width: 99.7%;
        }
    </style>

</head>

<body class="page-header-fixed">
<div class="header navbar navbar-inverse navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container-fluid">
            <!-- BEGIN LOGO -->
            <a class="brand" target="_blank" href="https://www.weaver.com.cn/cs/securityDownload.asp" title="点击去往安全包地址">
                <!--
                <img src="media/image/logo.png" alt="logo"/>
                -->
                &nbsp;&nbsp;日志拦截详情
            </a>
            <!-- END LOGO -->
            <!-- BEGIN RESPONSIVE MENU TOGGLER -->
            <a href="javascript:;" class="btn-navbar collapsed" data-toggle="collapse" data-target=".nav-collapse">
                <img src="static/media/image/menu-toggler.png" alt=""/>
            </a>
            <!-- END RESPONSIVE MENU TOGGLER -->
            <!-- END TOP NAVIGATION MENU -->
        </div>
    </div>
    <!-- END TOP NAVIGATION BAR -->
</div>
<!-- END HEADER -->
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN SIDEBAR -->
    <div class="page-sidebar nav-collapse collapse">
        <!-- BEGIN SIDEBAR MENU -->
        <ul class="page-sidebar-menu">
            <li>
                <!-- BEGIN SIDEBAR TOGGLER BUTTON -->
                <div class="sidebar-toggler hidden-phone"></div>
                <!-- BEGIN SIDEBAR TOGGLER BUTTON -->
            </li>
            <li>
                <br/>
            </li>
			     
            <li class="open active">
                <a href="javascript:;">
                    <i class="icon-eye-open"></i>
                    <span class="title">数据提取</span>
                    <span class="arrow "></span>
                </a>

                <ul class="sub-menu" style="display: block;">
                    <li>
                        <a href="xss.jsp" target="main-content" id="xssUrl">
                            参数拦截信息
                        </a>
                    </li>
                    <li>
                        <a href="webservice.jsp" target="main-content" id="wsUrl">
                            WebService信息
                        </a>
                    </li>
                    <li>
                        <a href="host.jsp" target="main-content" id="hostUrl">
                            Host信息
                        </a>
                    </li>
                    <li>
                        <a href="urlforb.jsp" target="main-content" id="forbUrl">
                            URL403信息
                        </a>
                    </li>
                    <li>
                        <a href="refer.jsp" target="main-content" id="refUrl">
                            跨站403信息
                        </a>
                    </li>
                    <li>
                        <a href="notlogin.jsp" target="main-content" id="loginUrl">
                            登录拦截信息
                        </a>
                    </li>
                </ul>
            </li>
        </ul>

        <!-- END SIDEBAR MENU -->
    </div>
    <!-- END SIDEBAR -->
    <!-- BEGIN PAGE -->
    <div class="page-content" id="div-content">
        <!--<iframe name="main-content" id="iframe-content" src="upload.html" frameborder="0" scrolling="auto"></iframe>-->
        <iframe class="main-content" src="xss.jsp" name="main-content" scrolling="auto"></iframe>
    </div>
    <!-- END PAGE -->
</div>

<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        版权所有 侵权必究
    </div>
</div>
</body>
<!-- END BODY -->
</html>