<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page isELIgnored="false" %>
<%@ page import="java.util.*,java.io.*,weaver.filter.XssUtil" %>
<%@ page import="weaver.security.classLoader.ReflectMethodCall,java.util.regex.*" %>
<%


 XssUtil sc = new XssUtil();
ReflectMethodCall rmc = new ReflectMethodCall();
String className = sc.null2String(rmc.call("weaver.security.core.SecurityCore",sc.getSecurityCore(),"getPropValue", new Class[]{String.class, String.class}, "weaver_security_info", "className"));
if("".equals(className)){
	response.sendError(403);
	return;
}

Object userObj = rmc.call(className, "getUser", new Class[]{javax.servlet.http.HttpServletRequest.class, javax.servlet.http.HttpServletResponse.class}, request, response);
Boolean isAdmin = (Boolean)rmc.call(className, "isAdmin", new Class[]{javax.servlet.http.HttpServletRequest.class, javax.servlet.http.HttpServletResponse.class}, request, response);
if(userObj == null || isAdmin == null || !isAdmin){
	response.sendError(403);
	return;
}
	
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head lang="en">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>登录拦截信息</title>

    <link href="static/bootstrap-3.3.5/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="static/bootstrap-3.3.5/css/bootstrap-theme.min.css" rel="stylesheet" type="text/css"/>
    
</head>
<body>
<div class="container">
    <h2 class="text-center">登录拦截信息</h2>
</div>
<br>

<div class="bs-example" data-example-id="hoverable-table">
    <table class="table table-hover table-responsive  table-condensed table-striped">
      <thead>
      <tr>
          <th>日期</th>
          <th>路径</th>
          <th>描述</th>
          <th>拦截的IP</th>
		  <th>来源城市</th>
      </tr>
      </thead>
      <tbody>
	  <%!
	           //返回正则的方法
				public String returnNeedStr(String reg,String str){
					try{
						Pattern pattern = Pattern.compile(reg);
						Matcher matcher = pattern.matcher(str);
						while(matcher.find()){
							return matcher.group(1);
						}
					}catch(Exception e){
					   // e.printStackTrace();
					}
					return  null;
				}

				//返回正则的方法
				public String returnNeedStr2(String reg,String str){
					try{
						Pattern pattern = Pattern.compile(reg);
						Matcher matcher = pattern.matcher(str);
						while(matcher.find()){
							return matcher.group(0);
						}
					}catch(Exception e){
						// e.printStackTrace();
					}
					return  null;
				}

				public  String htmlEncode(String source) {
						if(source == null) {
						   return "";
						}
					   String html = "";
					   StringBuffer buffer = new StringBuffer();
						for(int i = 0; i < source.length(); i++) {
						   char c = source.charAt(i);
						   switch (c) {
						   case '<':
							   buffer.append("<");
							   break;
						   case '>':
							   buffer.append(">");
							   break;
						   case '&':
							   buffer.append("&");
							   break;
						   case '"':
							   buffer.append("");
							   break;
						   case 10:
						   case 13:
							   break;
						   default:
							   buffer.append(c);
						   }
						}
					   html = buffer.toString();
					   return html;
		 }
	     %>
		  <%   
		    
		   InputStreamReader inputStreamReader = null;
			BufferedReader reader = null;
			try{
			
				String securityLogPath = sc.getXssLogFilePath()+ File.separatorChar+"systemSecurity"+sc.getCurrentDateString()+".log";
				File logFile = new File(securityLogPath);
				if(!logFile.exists()){
					 out.println("<tr><td>暂无当天日志<td></tr>");
					 return;
				}
				inputStreamReader = new InputStreamReader( new FileInputStream(logFile),"GBK");
				reader = new BufferedReader(inputStreamReader);
            String line = null;
        while((line = reader.readLine()) != null){

            if(line.indexOf("Xss(Not Login)") > 0){
                 out.println("<tr>");
                //日期
                String dateReg =  "[0-9]{4}[-][0-9]{1,2}[-][0-9]{1,2}[ ][0-9]{1,2}[:][0-9]{1,2}[:][0-9]{1,2}";
                String date = returnNeedStr2(dateReg,line);
                out.println(" <td data-toggle=\"modal\">"+date+"</td>");

                String pathReg = "path=([\\S]+)";
                String path = returnNeedStr(pathReg,line);
                out.println(" <td data-toggle=\"modal\">"+path+"</td>");

				  out.println(" <td data-toggle=\"modal\">Not Login</td>");

                String SourceIPReg = "source ip:([\\S]+)";
                String sourceIP = returnNeedStr(SourceIPReg,line);
                out.println(" <td data-toggle=\"modal\">"+sourceIP+"</td>");

				String city = (String)rmc.call("weaver.security.util.IPUtil",null,"getCityInfo",
		            		new Class[]{String.class}, sourceIP);
				out.println(" <td data-toggle=\"modal\">"+city+"</td>");

				out.println("</tr>");
            }
        }
		}catch(Exception e){
			e.printStackTrace();
		}finally{
			if(inputStreamReader != null){
				inputStreamReader.close();
			}
			if(reader != null){
				reader.close();
			}
		}
     %>
      </tbody>
    </table>
</div>
</body>
</html>