<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page isELIgnored="false" %>
<%@ page import="java.util.*,java.io.*,weaver.filter.XssUtil" %>
<%@ page import="weaver.security.classLoader.ReflectMethodCall,java.util.regex.*" %>
<%


 XssUtil sc = new XssUtil();
ReflectMethodCall rmc = new ReflectMethodCall();
String className = sc.null2String(rmc.call("weaver.security.core.SecurityCore",sc.getSecurityCore(),"getPropValue", new Class[]{String.class, String.class}, "weaver_security_info", "className"));
if("".equals(className)){
	response.sendError(403);
	return;
}

Object userObj = rmc.call(className, "getUser", new Class[]{javax.servlet.http.HttpServletRequest.class, javax.servlet.http.HttpServletResponse.class}, request, response);
Boolean isAdmin = (Boolean)rmc.call(className, "isAdmin", new Class[]{javax.servlet.http.HttpServletRequest.class, javax.servlet.http.HttpServletResponse.class}, request, response);
if(userObj == null || isAdmin == null || !isAdmin){
	response.sendError(403);
	return;
}
	
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head lang="en">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>参数拦截信息</title>

    <link href="static/bootstrap-3.3.5/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="static/bootstrap-3.3.5/css/bootstrap-theme.min.css" rel="stylesheet" type="text/css"/>
   
</head>
<body>
<div class="container">
    <h2 class="text-center">参数拦截信息</h2>
</div>
<br>

<!--
<div class="container">
    <form class="form-inline" method="GET" action="/listXssLog">
        <input type="hidden" name="filename" value="${filename}"/>
        <input type="hidden" name="uuid" value="${uuid}"/>
        <c:choose>
            <c:when test="${isShrink==0}">
                <button type="submit" class="btn btn-success" id="foldBtn">&nbsp;收&nbsp;&nbsp;&nbsp;缩&nbsp;</button>&nbsp;&nbsp;
                <input type="hidden" name="isShrink" value="1" id="isShrink"/>
            </c:when>
            <c:when test="${isShrink==1}">
                <button type="submit" class="btn btn-info" id="foldBtn">&nbsp;展&nbsp;&nbsp;&nbsp;开&nbsp;</button>&nbsp;&nbsp;
                <input type="hidden" name="isShrink" value="0" id="isShrink"/>
            </c:when>
            <c:otherwise>
                <button type="submit" class="btn btn-success" id="foldBtn">&nbsp;收&nbsp;&nbsp;&nbsp;缩&nbsp;</button>&nbsp;&nbsp;
                <input type="hidden" name="isShrink" value="1" id="isShrink"/>
            </c:otherwise>
        </c:choose>
    </form>
</div>
-->
<br>

<div class="bs-example" data-example-id="hoverable-table">
    <table class="table table-hover table-responsive  table-condensed table-striped">
      <thead>
        <tr>
            <th>日期</th>
            <th>路径</th>
            <th>参数</th>
            <th>值</th>
			<th>触发规则</th>
            <th>操作者</th>
            <th>源IP</th>
			<th>来源城市</th>
        </tr>
      </thead>
      <tbody>
	   <%!
	  
	           //返回正则的方法
				public String returnNeedStr(String reg,String str){
					try{
						Pattern pattern = Pattern.compile(reg);
						Matcher matcher = pattern.matcher(str);
						while(matcher.find()){
							return matcher.group(1);
						}
					}catch(Exception e){
					   // e.printStackTrace();
					}
					return  null;
				}

				//返回正则的方法
				public String returnNeedStr2(String reg,String str){
					try{
						Pattern pattern = Pattern.compile(reg);
						Matcher matcher = pattern.matcher(str);
						while(matcher.find()){
							return matcher.group(0);
						}
					}catch(Exception e){
						// e.printStackTrace();
					}
					return  null;
				}

				public  String htmlEncode(String source) {
						if(source == null) {
						   return "";
						}
					   String html = "";
					   StringBuffer buffer = new StringBuffer();
						for(int i = 0; i < source.length(); i++) {
						   char c = source.charAt(i);
						   switch (c) {
						   case '<':
							   buffer.append("<");
							   break;
						   case '>':
							   buffer.append(">");
							   break;
						   case '&':
							   buffer.append("&");
							   break;
						   case '"':
							   buffer.append("");
							   break;
						   case 10:
						   case 13:
							   break;
						   default:
							   buffer.append(c);
						   }
						}
					   html = buffer.toString();
					   return html;
		 }
	     %>
		<%   
			InputStreamReader inputStreamReader = null;
			BufferedReader reader = null;
			try{
			
				String securityLogPath = sc.getXssLogFilePath()+ File.separatorChar+"systemSecurity"+sc.getCurrentDateString()+".log";
				File logFile = new File(securityLogPath);
				if(!logFile.exists()){
					 out.println("<tr><td>暂无当天日志<td></tr>");
					 return;
				}
				inputStreamReader = new InputStreamReader( new FileInputStream(logFile),"GBK");
				reader = new BufferedReader(inputStreamReader);
				String line = null;
				int i = 0;
				while((line = reader.readLine()) != null){
				if(line.indexOf("Xss(NoPass)") > 0){
					// 级别
					String levelReg = "level:([\\S]+)";
					String level = returnNeedStr(levelReg,line);
					if(level == null || "".equals(level)){
					   out.println("<tr style='background-color:red !important;'>");
					}else{
					   out.println("<tr>");
					}
					//日期
					String dateReg =  "[0-9]{4}[-][0-9]{1,2}[-][0-9]{1,2}[ ][0-9]{1,2}[:][0-9]{1,2}[:][0-9]{1,2}";
					String date = returnNeedStr2(dateReg,line);
					out.println(" <td data-toggle=\"modal\">"+date+"</td>");

					

					// referer
					/*
					String refererReg = "referer:([\\S]+)";
					String referer = returnNeedStr(refererReg,line);
					out.println(" <td data-toggle=\"modal\" data-target=\"#myModal\">"+referer+"</td>");

					String ruleReg = "rule=([\\S]+)";
					String rule = returnNeedStr(ruleReg,line);
					out.println(" <td data-toggle=\"modal\" data-target=\"#myModal\">"+rule+"</td>");
					*/


					String pathReg = "path:([\\S]+)";
					String path = returnNeedStr(pathReg,line);
				   out.println(" <td data-toggle=\"modal\">"+path+"</td>");

					String paramReg = "param:([\\S]+)";
					String param = returnNeedStr(paramReg,line);
					out.println(" <td data-toggle=\"modal\" >"+param+"</td>");


					String paramValueReg = "paramValue:([\\S\\s]+)";
					String s = returnNeedStr(paramValueReg, line);
					if(s != null){
					   String paramValue = s.split(":::")[0];
					   if(paramValue.length()>100){
						  out.println(" <td data-toggle=\"modal\" title=\""+htmlEncode(paramValue.substring(0,100))+"\"> "+htmlEncode(paramValue.substring(0,50))+"...</td>");
					   }else{
						  out.println(" <td data-toggle=\"modal\">"+htmlEncode(paramValue)+"</td>");
					   }
					   
					}else{
						out.println(" <td data-toggle=\"modal\">无</td>");
					}

					String ruleReg = "rule=([\\S]+)";
					String rule = returnNeedStr(ruleReg,line);
					out.println(" <td data-toggle=\"modal\" title=\""+rule+"\">"+rule.substring(0,10)+"...</td>");

					String userReg = "user:([\\S]+)";
					String user = returnNeedStr(userReg,line);
					out.println(" <td data-toggle=\"modal\">"+user+"</td>");

					String SourceIPReg = "Source IP:([\\S]+)";
					String sourceIP = returnNeedStr(SourceIPReg,line);
					out.println(" <td data-toggle=\"modal\">"+sourceIP+"</td>");
					String city = (String)rmc.call("weaver.security.util.IPUtil",null,"getCityInfo",
								new Class[]{String.class}, sourceIP);
					out.println(" <td data-toggle=\"modal\">"+city+"</td>");
					out.println("</tr>");
				}
        }
		}catch(Exception e){
			e.printStackTrace();
		}finally{
			if(inputStreamReader != null){
				inputStreamReader.close();
			}
			if(reader != null){
				reader.close();
			}
		}
     %>
      </tbody>
    </table>
	<!--
    <div style="margin-left: 1300px">
        <a href="/downloadFile?uuid=${uuid}_xss" target="_blank" class="btn btn-danger" id="downloadFile">添加完白名单后，点此下载白名单文件</a>
    </div>
	-->
</div>


</body>
</html>